apiVersion: batch/v1
kind: Job
metadata:
  name: "{{ .Release.Name }}-crd-upgrade"
  namespace: {{ .Release.Namespace }}
  labels:
    app: stackgres-operator
    scope: init
    job: upgrade-crd
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation,hook-succeeded
    "helm.sh/hook-weight": "2"
spec:
  template:
    metadata:
      labels:
        app: stackgres-operator
        scope: init
        job: upgrade-crd
    spec:
      serviceAccountName: {{ .Release.Name }}-crd-upgrade
      containers:
      - name: "{{ .Values.jobs.name }}"
        image: "{{ .Values.jobs.image.name }}:{{ .Values.jobs.image.tag }}"
        imagePullPolicy: "{{ .Values.jobs.image.pullPolicy }}"
        env:
          - name: OPERATOR_NAME
            value: "{{ .Release.Name }}"
          - name: OPERATOR_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          - name: CRD_UPGRADE
            value: "true"
          - name: CONVERSION_WEBHOOKS
            value: "false"
          {{- if .Values.developer.extraOpts }}
          - name: APP_OPTS
            value: '{{ range .Values.developer.extraOpts }}{{ . }} {{ end }}'
          {{- end }}
        {{- with .Values.jobs.resources }}
        resources:
        {{- toYaml . | nindent 10 }}
        {{- end }}
      restartPolicy: OnFailure
